1. Crypto Withdrawals
Partner API
  • Getting Started
    • Introduction
    • Authentication
    • Business Use Cases
  • API References
    • Balances & History
      • Get Balances
      • Get Balance History
    • Crypto Deposits
      • Get Crypto Deposit Details
      • Add Travel Rule
    • Crypto Withdrawals
      • Get Whitelisted Wallets
        GET
      • Add Whitelisted Wallet
        POST
      • Delete Whitelisted Wallet
        DELETE
      • Create Crypto Withdrawal
        POST
      • Get Crypto Withdrawal Details
        GET
    • SEPA Deposits
      • Get SEPA Payment Details
      • Get SEPA Deposit Details
    • SEPA Withdrawals
      • Create SEPA Withdrawal
      • Get SEPA Withdrawal Details
    • Currency Exchange
      • Get Rates
      • Create Lock
      • Create Exchange
      • Get Exchange Details
  • Integration
    • Integration Guides
    • Transaction Processing
    • Error Handling
    • Rate Limiting
    • Webhooks
      • Crypto Deposit Webhook
      • Crypto Withdrawal Webhook
      • SEPA Deposit Webhook
      • SEPA Withdrawal Webhook
      • Exchange Webhook
  • Reference
    • Supported Currencies
    • Fees
    • FAQ
    • Changelog
    • Support
  1. Crypto Withdrawals

Get Whitelisted Wallets

Testing Env
http://k8s-partnera-partnera-7873f15634-69ebb7c047cac3d1.elb.eu-central-1.amazonaws.com
Testing Env
http://k8s-partnera-partnera-7873f15634-69ebb7c047cac3d1.elb.eu-central-1.amazonaws.com
GET
/v1/partner/whitelisted-wallets
Returns all wallet addresses on the Partner's withdrawal whitelist. Crypto withdrawals can only be sent to addresses from this list.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or

Responses

🟢200Success
application/json
List of whitelisted wallet addresses.
Bodyapplication/json

🟠401P4001: Missing API Key
🟠401P4002: Invalid API Key
🟠403P4003: IP Not Allowed
🟠403P4004: Access Denied
🔴500P5000: Unknown Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://k8s-partnera-partnera-7873f15634-69ebb7c047cac3d1.elb.eu-central-1.amazonaws.com/v1/partner/whitelisted-wallets' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success
{
    "items": [
        {
            "id": "a3f8d2c1-4b6e-4f9a-8c7d-1e2b3a4c5d6e",
            "currency": "DOGE",
            "network": "DOGE",
            "walletAddress": "DNEusWUFMPG24pznn4yCT82xmEJXuLXJmB",
            "memo": null,
            "walletType": "CUSTODIAL",
            "ownerType": "SENDER",
            "receiverName": "Example Partner Ltd",
            "createdAt": "2026-10-05T13:26:02.118Z"
        },
        {
            "id": "c7d2e4f1-9a3b-4c8d-b5e6-2f1a8d9c4b70",
            "currency": "XRP",
            "network": "XRP",
            "walletAddress": "rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH",
            "memo": "104857612",
            "walletType": "CUSTODIAL",
            "ownerType": "BUSINESS",
            "receiverName": "Acme Corp",
            "createdAt": "2026-10-05T13:25:31.207Z"
        },
        {
            "id": "8cb28fd0-ba0e-445d-8851-13bf1fbfb11d",
            "currency": "DOGE",
            "network": "DOGE",
            "walletAddress": "DC8T55QR88dYbYKjzCBYic8QJ7nhiaJRkx",
            "memo": null,
            "walletType": "SELF_CUSTODY",
            "ownerType": "PRIVATE_INDIVIDUAL",
            "receiverName": "John Smith",
            "createdAt": "2026-10-05T13:24:10.512Z"
        }
    ]
}
Previous
Crypto Withdrawals
Next
Add Whitelisted Wallet
Built with